package arbre.quadtree;
import java.awt.Color;
public class QuadTree {
	private Color valeur;
	private QuadTree nw;
	private QuadTree ne;
	private QuadTree sw;
	private QuadTree se;

	public QuadTree(Color valeur,QuadTree nw, QuadTree ne, QuadTree sw,
			QuadTree se) {
		this.valeur = valeur;
		this.nw = nw;
		this.ne = ne;
		this.sw = sw;
		this.se = se;
	}
	public QuadTree(QuadTree nw, QuadTree ne, QuadTree sw, QuadTree se) {
		this(null, nw, ne, sw, se);
	}
	public QuadTree(Color valeur) {
		this(valeur, null, null, null, null);
	}

	public boolean isLeaf(){
		return (this.nw == null && this.ne==null && this.sw==null && this.se == null);
	}

	public Color getValeur() {
		return valeur;
	}

	public void setValeur(Color valeur) {
		this.valeur = valeur;
	}

	public QuadTree getNw() {
		return nw;
	}

	public void setNw(QuadTree nw) {
		this.nw = nw;
	}

	public QuadTree getNe() {
		return ne;
	}

	public void setNe(QuadTree ne) {
		this.ne = ne;
	}

	public QuadTree getSw() {
		return sw;
	}

	public void setSw(QuadTree sw) {
		this.sw = sw;
	}

	public QuadTree getSe() {
		return se;
	}

	public void setSe(QuadTree se) {
		this.se = se;
	}

	private static Color inverse(Color c)
	{
		return new Color(255-c.getRed(), 255-c.getGreen(), 255-c.getBlue());
	}

	public void inverseCouleur()
	{
		
	}
	
	public boolean egalite(QuadTree q)
	{
		
		return true;
	}
}
